@echo off

rem ********************************************************************************
rem *
rem * ADSCFG.BAT
rem *
rem * This file controls the ServerGuide Scripting Toolkit Microsoft(R) Automated
rem * Deployment Services updates.  Environment variables used here and in the 
rem * batch files that are called by this file are defined in usrvars.bat.   
rem *
rem * This batch file is called by the autoexec.bat.
rem *
rem * NOTE:  This batch files stores the number 251 to represent error conditions.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Step 1:
rem *
rem * Setup any additional system variables to be used by the Toolkit process.
rem ********************************************************************************
call sysvars.bat

rem ********************************************************************************
rem * Check for errors from SYSVARS.BAT
rem ********************************************************************************
rem echo Checking for errors setting up additional system variables
savestat.exe /get2 > nul

rem ********************************************************************************
rem * Check for errors: SYSTEM-VARIABLES
rem ********************************************************************************
FOR %%i in (251 255) do if errorlevel %%i goto ERROR


:CFGRAID
rem ********************************************************************************
rem * Step 2:
rem *
rem * Perform RAID configuration of any RAID adapters in the system, if selected.
rem * CFG_RAID is defined and set in usrvars.bat.
rem ********************************************************************************
echo Checking if user has requested to perform RAID configuration: CFG_RD = %CFG_RD%

IF %CFG_RD%==Y goto RUNRAID
IF %CFG_RD%==y goto RUNRAID
goto RESET_PS


:RUNRAID
echo Calling config RAID batch file

call cfgraid.bat

rem ********************************************************************************
rem * Check for errors from CFGRAID
rem ********************************************************************************
echo Checking for errors from RAID configuration

savestat.exe /get2 > nul

rem ********************************************************************************
rem * Check for errors: SAVESTAT.EXE
rem ********************************************************************************
FOR %%i in (251 255) do if errorlevel %%i goto ERROR


:RESET_PS
rem ********************************************************************************
rem * Step 3:
rem *
rem * Clear the rest of persistent storage to prevent any problems during the
rem * Toolkit process.
rem ********************************************************************************
savestat.exe /reset > nul

goto END


:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "adscfg.bat".

rem * Clear any error conditions.
savestat.exe /reset > nul

goto END



:END
